## libsdl-console 1.3

=== Makefile ===
#Makefile for the SDL_Console library

INCLUDE = `sdl-config --cflags` -lSDL_image
CC = gcc
C = CON_console.c CON_consolecommands.c DT_drawtext.c internal.c
OBJS = CON_console.o CON_consolecommands.o DT_drawtext.o internal.o
CFLAGS = -O2

prefix = $(DEST)/usr
libdir = $(prefix)/lib
incdir = $(prefix)/include/SDL

all: libSDL_console.so libSDL_console.a

libSDL_console.so: 
	$(CC) -c $(C) -fPIC $(INCLUDE)
	$(CC) -fPIC -shared $(OBJS) -o libSDL_console.so $(INCLUDE)

libSDL_console.a: $(OBJS)
	ar cru libSDL_console.a $(OBJS)

install:
	install -d $(libdir)
	install -d $(incdir)
	install libSDL_console.so $(libdir)
	install libSDL_console.a $(libdir)
	install CON_console.h $(incdir)
	install DT_drawtext.h $(incdir)

uninstall:
	rm -f $(libdir)libSDL_console.so
	rm -f $(incdir)/CON_console.h
	rm -f $(incdir)/DT_drawtext.h

clean:
	rm -f $(OBJ) libSDL_console.so libSDL_console.a core $(OBJS)

=== example/Makefile ===
# Makefile for the SDL_Console example

CC=gcc

LIBS=-L.. `sdl-config --libs` -lm -lSDL_console -lSDL_image
LIBSSTATIC=-L.. `sdl-config --libs` -lm -lSDL_image ../libSDL_console.a
GLLIBS=$(LIBS) -lGL -lGLU -lglut

FLAGS=-Wall -g -O2

INCLUDE=`sdl-config --cflags` -I.. -I.
GLINCLUDE=$(INCLUDE) -DGL_DEMO

OBJS=ConsoleExample.o
GLOBJS=ConsoleExampleGL.o

TARGET=ConsoleExample
GLTARGET=ConsoleExampleGL
STATIC=ConsoleExample-static

SUBDIRS=..


all: $(TARGET) $(GLTARGET) $(STATIC) FORCE
.PHONY: all

$(SUBDIRS): FORCE
	@$(MAKE) -C $@

SUBDIRS_CLEAN = $(SUBDIRS:%=%/clean)
$(SUBDIRS_CLEAN): FORCE
	@$(MAKE) `basename $@` -C `dirname $@`
.PHONY: $(SUBDIRS_CLEAN)

$(TARGET): $(SUBDIRS) $(OBJS)
	$(CC) $(OBJS) $(FLAGS) $(INCLUDE) $(LIBS) -o $@

$(STATIC): $(SUBDIRS) $(OBJS)
	$(CC) $(OBJS) $(FLAGS) $(INCLUDE) $(LIBSSTATIC) -o $@

%.o: %.c
	$(CC) $(FLAGS) $(INCLUDE) -c $< -o $@

%GL.o: %.c
	$(CC) $(FLAGS) $(GLINCLUDE) -c $< -o $@

$(GLTARGET): $(SUBDIRS) $(GLOBJS)
	$(CC) $(FLAGS) $(GLOBJS) $(GLLIBS) -o $@

clean: $(SUBDIRS_CLEAN) FORCE
	$(RM) core $(TARGET) $(GLTARGET) $(STATIC) $(OBJS) $(GLOBJS)
.PHONY: clean

FORCE:
.PHONY: FORCE

## libsdl-console 2.1

=== debian/changelog ===
libsdl-console (2.1-6) unstable; urgency=medium

  * Bump Policy Standards-Version to 4.2.1 (no changes needed)
  * Switch to debhelper compat level 11
    - Drop 'docs/*.jpg' line from libsdl-console-dev.docs, the files do
      not exist and dh_installdocs exits with error in this compat level
  * Set "Rules-Requires-Root: no" in d/control
  * Drop explicit build-dependency on "dpkg-dev (>= 1.16.1~)", this
    version is now satisfied everywhere
  * d/watch:
    - Switch to version=4
    - Use https in URL
  * d/control, d/copyright: Use updated URLs of Homepage and use https in
    copyright Format
  * d/control: Update Vcs-* URLs

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 19 Oct 2018 20:23:10 +0200

libsdl-console (2.1-5) unstable; urgency=medium

  * Bump Policy Standards-Version to 4.0.0 (no changes needed)
  * Switch to debhelper compat level v10
    - dh flags --parallel are not needed
    - autoreconf is invoked by default
  * Update Vcs-* URLs
  * Minor updates to d/copyright
    - quell lintian about GPL and LGPL names
    - update maintainer address to @debian.org

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 21 Jun 2017 21:50:14 +0200

libsdl-console (2.1-4) unstable; urgency=medium

  * Bump Policy Standards-Version to 3.9.5 (no changes needed)
  * Remove field "DM-Upload-Allowed: yes", obsolete
  * Change maintainer address to @debian.org

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 08 Mar 2014 18:51:02 +0000

libsdl-console (2.1-3) unstable; urgency=low

  * Remove wrongly used "Multi-Arch: same" in -dev package.  One of the files
    shipped is actually different across architectures (Closes: #674494); thanks
    Jakub Wilk.

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Thu, 31 May 2012 00:07:45 +0100

libsdl-console (2.1-2) unstable; urgency=low

  * New upstream version (Closes: #207994)
  * Complete overhaul of the package:
    - debian/source/format to '3.0 (quilt)'
    - Extensive modifications for debhelper compat v9, including Multi-Arch,
      build-hardening and all goodies
    - Bump Policy Standars-Version to 3.9.3
    - debian/copyright rewritten with appropriate standard format
    - Revisit all patches
    - Remove all previous maintainers, inactive/unresponsive for years
    - updated lintian override

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Tue, 08 May 2012 16:01:42 +0200

libsdl-console (1.3-5) unstable; urgency=low

  [ Aurelien Jarno ]
  * debian/control:
    + Make the package binNMU safe. 
    + Set policy to 3.7.3.

  * debian/rules:
    + Call "make clean" instead of "make distclean", as the later target
      does not exists. (Closes: bug#424535).
    + Switch to dh_install from dh_movefiles

  * debian/copyright:
    + Add copyright entry.

 -- Aurelien Jarno <aurel32@debian.org>  Tue, 22 Apr 2008 21:53:28 +0200

libsdl-console (1.3-4) unstable; urgency=low

  * Moved development to the pkg-sdl Alioth project.

  * debian/rules:
    + Use quilt for patch management.
    + Do not compress the examples.
  * debian/control:
    + Added missing "Section: libs" for the source package.
    + Build-depend on quilt.
    + Set the SDL team as the maintainer and added its members to the
      uploaders field.
    + Build-depend on debhelper (>= 4.0).
    + Set policy to 3.6.2.
  * debian/compat:
    + Set compatibility level to 4.

  * debian/patches/000_autoconf.diff:
    + Put the autoconf stuff in this separate patch.
    + Build with -Wall.

  * debian/patches/010_examples.diff:
    + Fix the example and its makefile.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Thu,  2 Mar 2006 03:29:17 +0100

libsdl-console (1.3-3) unstable; urgency=low

  * New maintainer (Closes: #214945).
  * Maintainer upload.
  * Acknowledging previous NMU (Closes: #190291, #194054, #189441).
  * debian/control:
    + Set policy to 3.6.1.0.
    + Rephrased long description.
  * debian/rules:
    + Used debian/compat instead of DH_COMPAT.
    + Install into debian/libsdl-console instead of debian/tmp
    + Properly install examples in the -dev package.
    + Install documentation in the main library package.
  * Makefile.in:
    + Changed .sho extensions to .lo.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Fri, 10 Oct 2003 09:59:04 +0200

libsdl-console (1.3-2.2) unstable; urgency=low

  * NMU.
  * Moved the .so symlink to the -dev package (Closes: #190291).
  * Added -fpic to the shared objects compilation rule.
  * Fixed a quoted-printable "=3D" in Makefile.in that should have been an "="
    and a few other typos that were causing the shared library to be empty.
  * Changed the "%.c: %.sho" rule to "%.sho: %.c" so that shared objects get
    compiled properly.
  * Set dependency in shlib file to (>= 1.3-2.2) because all previous versions
    were utterly broken (Closes: #194054).
  * Header files are now installed with -m 644 because we do not want them to
    be executable.
  * Various minor packaging changes:
    + Set policy to 3.5.10.
    + Replaced "Author(s):" with "Author:" in the copyright file.
    + Set the -dev package's section to libdevel.
    + Made /usr/share/doc/libsdl-console-dev a symlink to libsdl-console.
    + Word-wrapped the package descriptions.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun,  1 Jun 2003 21:44:44 -0400

libsdl-console (1.3-2.1) unstable; urgency=low

  * NMU
  * Have debian/rules make configure executable.  Closes: #189441

 -- LaMont Jones <lamont@debian.org>  Mon, 12 May 2003 09:20:41 -0600

libsdl-console (1.3-2) unstable; urgency=low

  * Built with a SONAME (Thanks to Josselin Mouette, closes: #184559) 

 -- Julien Danjou <acid@debian.org>  Thu,  3 Apr 2003 20:12:59 +0200

libsdl-console (1.3-1) unstable; urgency=low

  * New upstream release

 -- Julien Danjou <acid@debian.org>  Tue,  1 Oct 2002 20:35:03 +0200

libsdl-console (1.2-1) unstable; urgency=low

  * New upstream release


=== debian/control ===
Source: libsdl-console
Section: libs
Priority: optional
Maintainer: Debian SDL packages maintainers <pkg-sdl-maintainers@lists.alioth.debian.org>
Uploaders: Manuel A. Fernandez Montecelo <mafm@debian.org>
Standards-Version: 4.2.1
Rules-Requires-Root: no
Build-Depends: debhelper (>= 11~),
               libsdl1.2-dev (>= 1.2.14~),
               libsdl-image1.2-dev (>= 1.2.12~)
Homepage: https://sourceforge.net/projects/sdlconsole/
Vcs-Browser: https://salsa.debian.org/sdl-team/libsdl-console
Vcs-Git: https://salsa.debian.org/sdl-team/libsdl-console.git


Package: libsdl-console
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Console that can be added to any SDL application, libraries
 This library provides a console similar to the consoles in Quake and other
 games but with lots of added features.
 .
 A console is meant to be a very simple way of interacting with a program
 and executing commands. Commands are linked to the console with callback
 functions so that when a command is typed in, a specific function is
 executed automatically.
 .
 This package contains the runtime library.

Package: libsdl-console-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends},
         libsdl-console (= ${binary:Version}),
         libsdl1.2-dev (>= 1.2.14~),
         libsdl-image1.2-dev (>= 1.2.12~)
Description: Console that can be added to any SDL application, development files
 This library provides a console similar to the consoles in Quake and other
 games but with lots of added features.
 .
 A console is meant to be a very simple way of interacting with a program
 and executing commands. Commands are linked to the console with callback
 functions so that when a command is typed in, a specific function is
 executed automatically.
 .
 This package contains the header files and static library needed to
 compile applications that use libsdl-console.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

#export DEB_BUILD_MAINT_OPTIONS  := hardening=+all
export DEB_CFLAGS_MAINT_APPEND  := -pipe -Wall
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined -Wl,--as-needed


%:
	dh $@

=== debian/watch ===
version=4
https://sf.net/sdlconsole/sdlconsole-(\d[\d\.]+)\.tar\.(?:gz|bz2|lzma|xz)
